/* yleisbody */
body {
	text-align:center;
	background-color: #fdf5e6;
	color: black;
	margin: 0;
	padding: 0;
	font: normal 11px tahoma, verdana, sans-serif;
}

/* login */
img#login_ceecer {
	margin-top:100px;
	margin-bottom: 20px;
}
div#login {
	margin: 0 auto;
	width: 471px;
}
p.input {
	text-align: right;
	padding-right: 150px;
}

/* yleiset */
em {
	font-style:italic;
}

h2 {
	font-size: 14px;
	font-weight: bold;
}

.button {
	background-color:#996633;
	color:white;
	font:bold 11px tahoma,verdana,sans-serif;
	padding: 2px 5px;
}
a:link, a:visited {
	text-decoration: underline;
	color: #5f2122;
}
a:hover, a:active {
	text-decoration: underline;
	color: #a14a2b;
}
table {
	margin: 5px auto;
}

div.letterText {
	text-align: left;
	margin-left:50px;	
}

/* error */
div.error {
	text-align: left;
	color: black;
}
fieldset.error {
	background-color: #fffff5;
}

/* valikko */
div.toolbar {
	width:100%;
	height:50px;
	margin: 0 auto 5px auto;
	border-bottom: 1px solid #663300;
	background-color: #cd853f;
	color: #5f2122;
	font-weight: bold;
}

table.toolbar {
	height:100%;
}

/* import data */
div.import {
	padding: 30px;
}

/* tallennetut haut */
div.savedss {
	padding: 10px;
}

/* hakusivun linkki sivun ala- ja yläosaan */
span.tb {
	font-size: 11px;
	font-style: italic;
}

/* hakusivun taulukko, myös käyttäjän lisäyslomake (addUser.jsp) */
table.parameters {
  	text-align: left;
  	width: 700px;
	border-collapse: collapse;
	border: 1px solid #5f2122;
}

/* hakusivun taulukko: yleinen solu taulukossa */
.parameters td {
	padding: 2px 5px;
	color: black;
	border: 1px dotted #5f2122;
}

/* hakusivun taulukko: parametrien nimet */
td.titlerow {
	background-color: #cd853f;
	color: #fffff5;
	font-weight: bold;
}
/* hakusivun taulukko: väliotsikkorivit taulukossa */
td.supertitlerow {
	background-color: #cd853f;
	color: #fffff5;
	font-weight: bold;
	text-align: center;
	padding: 6px;
}
/* hakusivun taulukko: erottelee eri tyyppisiä parametreja */
tr.border {
	background-color: #cd853f;
	color: #fffff5;
	height: 5px;
}

/* search criteria */
div.searchCriteria {
	text-align:left;
	padding-left: 10px;
}

/****************************************/
/* listanäkymä */
table.result { 
  	border-collapse: collapse;
	border: 1px solid #5f2122
}
/* listanäkymä: tavallinen solu */
table.result td {
	border: 1px dotted #5f2122;
	vertical-align: top;
	text-align: left;
	padding-left:2px;
}

/* lomakenäkymä */
table.container { 
  	border-collapse: collapse;
	border: 1px solid #5f2122;
	margin: 2px 5px;
}
/* lomakenäkymä: tavallinen solu */
table.container td {
	border: 1px dotted #5f2122;
	vertical-align: top;
	text-align: left;
	padding: 2px 3px;
}

/* lomakenäkymä: otsikkodata */
table.container em {
	font-style:normal;
	font-weight:normal;
	color: maroon;
}



/* tulostaulukko: otsikkorivi */
thead td {
	background-color: #cd853f;
}
/* tulostaulukko: parilliset rivit */
tr.even { 
	background-color: #ffcc99; 
}
/* tulostaulukko: parittomat rivit */
tr.odd { 
	background-color: #fffff5;
}

a.addUser {
	border: solid 1px black;
	background-color: silver;
}

/* Toteutusidea: http://psacake.com/web/jl.asp */
/* muokattu jonkun verran, korvattu title-attribuutin käytöllä myöhemmin - by MV*/

a.hideColumn {
    	position:relative; 
    	z-index:1;
}
a.hideColumn:hover {
	z-index:3;
}

a.hideColumn span {
	display: none
}

a.hideColumn:hover span { 
    	display:block;
    	position:absolute;
	left:20px;
	padding:2px;
    	border: 1px solid #a14a2b;
    	background-color:#fdf5e6;
  	color:black;
}


/* huom! pidä tämä määritys viimeisenä, koska kerrottu, että on täällä tiedoston lopussa */
/* poista seuraava rivi (tai lisää kommenttimerkit), kun haluat uudet parametrit hakulomakkeelle */
tr.newParam {display:none;}
